summaryrefslogtreecommitdiff
path: root/update.sh
diff options
context:
space:
mode:
authormathieui <mathieui@mathieui.net>2014-12-15 16:24:21 +0100
committermathieui <mathieui@mathieui.net>2014-12-15 16:24:21 +0100
commit778581c48087450ec0efbb7ade16f2eefe501f3f (patch)
tree38973dcadafc6f195ad014d59bb0c8cc66f960f3 /update.sh
parent00396c158aa032585db88cfd4b622281ba3cbd7f (diff)
downloadpoezio-778581c48087450ec0efbb7ade16f2eefe501f3f.tar.gz
poezio-778581c48087450ec0efbb7ade16f2eefe501f3f.tar.bz2
poezio-778581c48087450ec0efbb7ade16f2eefe501f3f.tar.xz
poezio-778581c48087450ec0efbb7ade16f2eefe501f3f.zip
Check the py3k version AFTER loading the virtualenv
Diffstat (limited to 'update.sh')
-rwxr-xr-xupdate.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/update.sh b/update.sh
index bdf1dc77..434f789c 100755
--- a/update.sh
+++ b/update.sh
@@ -6,7 +6,6 @@
# Use launch.sh to start poezio directly from here
-python3 -c 'import sys;(print("Python 3.4 or newer is required") and exit(1)) if sys.version_info < (3, 4) else exit(0)' || exit 1
cd "$(dirname "$0")"
VENV="poezio-venv"
VENV_COMMAND="pyvenv"
@@ -24,6 +23,7 @@ then
$VENV_COMMAND --upgrade "$VENV"
. "$VENV/bin/activate"
+ python3 -c 'import sys;(print("Python 3.4 or newer is required") and exit(1)) if sys.version_info < (3, 4) else exit(0)' || exit 1
echo 'Updating the poezio dependencies'
pip install -r requirements.txt --upgrade
echo 'Updating the poezio plugin dependencies'
@@ -34,6 +34,7 @@ else
. "$VENV/bin/activate"
cd "$VENV" # needed to download slixmpp inside the venv
+ python3 -c 'import sys;(print("Python 3.4 or newer is required") and exit(1)) if sys.version_info < (3, 4) else exit(0)' || exit 1
echo 'Installing the poezio dependencies using pip'
pip install -r "../requirements.txt"